> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset incremental state and trigger full re-sync for a connector

> Delete the incremental cursor state for all resources of *connector_type*
and immediately trigger the Prefect deployment for a full re-sync.



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/full-refresh
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/full-refresh:
    post:
      tags:
        - connectors
      summary: Reset incremental state and trigger full re-sync for a connector
      description: >-
        Delete the incremental cursor state for all resources of
        *connector_type*

        and immediately trigger the Prefect deployment for a full re-sync.
      operationId: full_refresh_connector_connectors_full_refresh_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectorActionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Full Refresh Connector Connectors Full Refresh Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConnectorActionRequest:
      properties:
        connector_type:
          type: string
          title: Connector Type
      type: object
      required:
        - connector_type
      title: ConnectorActionRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````